License management

This section contains license management proto files.

license_service.proto

LicenseManager

This service allows managing the license of the product.

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
UploadLicense UploadLicense
Request
UploadLicense
Response
Uploads a new license (or updates an existing one).
DownloadLicense DownloadLicense
Request
DownloadLicense
Response
Downloads a previously uploaded license.

Methods with HTTP bindings

UploadLicense

  POST /v1alpha/license  

DownloadLicense

  GET /v1alpha/license  

license_messages.proto

DownloadLicenseRequest

Input message that defines parameters for DownloadLicense.

DownloadLicenseRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
version google.protobuf.Int32Value Optional. Specify the license version. If missing, default version is used.

DownloadLicenseResponse

Output message that defines parameters returned by DownloadLicense.

DownloadLicenseResponse
Field Type Description
status nuance.rpc.Status General operation status.
buffer bytes License data, opaque, previously uploaded via UploadLicense.

UploadLicenseRequest

Input message that defines parameters for UploadLicense.

UploadLicenseRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
buffer bytes Mandatory. The License data, opaque, provided by Nuance.
version google.protobuf.Int32Value Optional. Specify the license version. If missing, default version is used.

UploadLicenseResponse

Output message that defines parameters returned by UploadLicense.

UploadLicenseResponse
Field Type Description
status nuance.rpc.Status General operation status.